force_keyboard_focus = true
close_when_open = true
click_to_close = true
single_click_activation = true
selection_wrap = true
resume_last_query = true
hide_quick_activation = true
hide_action_hints = true
hide_action_hints_dmenu = true
hide_return_action = true
theme = "rider-omarchy"

[shell]
exclusive_zone = -1
layer = "overlay"
anchor_top = true
anchor_bottom = true
anchor_left = true
anchor_right = true

[placeholders]
"default" = { input = "Search apps, files, commands", list = "No matches" }

[keybinds]
close = ["Escape"]
next = ["Down", "ctrl j"]
previous = ["Up", "ctrl k"]
left = ["Left"]
right = ["Right"]
down = ["Down"]
up = ["Up"]
toggle_exact = ["ctrl e"]
show_actions = ["alt Return"]
page_down = ["Page_Down"]
page_up = ["Page_Up"]

[providers]
default = ["desktopapplications", "calc", "websearch"]
empty = ["desktopapplications"]
max_results = 12

[[providers.prefixes]]
prefix = ";"
provider = "providerlist"

[[providers.prefixes]]
prefix = ">"
provider = "runner"

[[providers.prefixes]]
prefix = "/"
provider = "files"

[[providers.prefixes]]
prefix = "="
provider = "calc"

[[providers.prefixes]]
prefix = "$"
provider = "windows"

[[providers.prefixes]]
prefix = ":"
provider = "clipboard"

[[providers.prefixes]]
prefix = "@"
provider = "websearch"
